[arch-commits] Commit in libxcomposite/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jun 9 03:03:53 EDT 2010


    Date: Wednesday, June 9, 2010 @ 03:03:53
  Author: jgc
Revision: 82174

upgpkg: libxcomposite 0.4.2-1
Update to 0.4.2

Modified:
  libxcomposite/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-09 06:52:40 UTC (rev 82173)
+++ PKGBUILD	2010-06-09 07:03:53 UTC (rev 82174)
@@ -2,22 +2,23 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libxcomposite
-pkgver=0.4.1
+pkgver=0.4.2
 pkgrel=1
 pkgdesc="X11 Composite extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
-depends=('libxfixes' 'libxext' 'compositeproto')
+depends=('libxfixes>=4.0.4' 'libxext>=1.1.2' 'compositeproto>=0.4.1')
 makedepends=('pkgconfig')
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXcomposite-${pkgver}.tar.bz2)
-md5sums=('0f1367f57fdf5df17a8dd71d0fa68248')
+sha1sums=('d6fade1cb5f9174e702d9e751ddc2b341e946e3a')
 
 build() {
-  cd ${srcdir}/libXcomposite-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --disable-static 
+  cd "${srcdir}/libXcomposite-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --disable-static  || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list